<div class="col-md-12">
    <div class="card card-container">
      
      <form
        [formGroup]="loginForm"
        *ngIf="!isSuccessful"
        name="form"
        (ngSubmit)="onSubmit()"        
        novalidate
      >
      <div class="form-group">
        <label for="login_email">Login e-mail:</label>
        <input
          type="text"
          class="form-control"
          name="login_email"
          formControlName="login_email"
          [ngClass]="loginEmailHasError()"
          autocomplete="off"           
        />
        <div class="alert-danger" *ngIf="loginEmailErrors().length > 0">
          <ul class="list">                
              <li *ngFor="let errorMessage of loginEmailErrors()">{{ errorMessage }}</li>
          </ul>
        </div>
      </div>
      
      <div class="form-group">
        <label for="password">Lozinka:</label>
        <input
          type="password"
          class="form-control"
          name="password"
          formControlName="password"
          autocomplete="off"            
        />
        <div class="alert-danger" *ngIf="passwordErrors().length > 0">
          <ul class="list">
              <li *ngFor="let errorMessage of passwordErrors()">{{ errorMessage }}</li>
          </ul>
        </div>
      </div>

      <div class="form-group">
        <button type="submit" id="orange-btn">Uloguj se</button>
      </div>

      <div class="alert alert-warning" *ngIf=" isLoginFailed">
        Logovanje nesuspešno: <br />{{ errorMessage }}
      </div>
      Nemate profil na Matfakturi? Registrujte se <a href="/registracija">ovde</a>.
      </form>
  
      
    </div>
  </div>